summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2012-07-23 18:43:38 +0100
committerRichard W.M. Jones <rjones@redhat.com>2012-07-23 18:44:07 +0100
commitbc917a0efc03b8c28966c9ab474f525752ebe440 (patch)
tree4354e39ce03d23e930474aaa7d35f48a4d9a023f
parentb6afb98a79248997da1b76b946362742dfcd625a (diff)
downloadlibguestfs-bc917a0efc03b8c28966c9ab474f525752ebe440.tar.gz
libguestfs-bc917a0efc03b8c28966c9ab474f525752ebe440.tar.xz
libguestfs-bc917a0efc03b8c28966c9ab474f525752ebe440.zip
tests/protocol: Skip these tests if default attach-method is not 'appliance'.
-rwxr-xr-xtests/protocol/test-qemudie-killsub.sh5
-rwxr-xr-xtests/protocol/test-qemudie-midcommand.sh5
-rwxr-xr-xtests/protocol/test-qemudie-synch.sh5
3 files changed, 15 insertions, 0 deletions
diff --git a/tests/protocol/test-qemudie-killsub.sh b/tests/protocol/test-qemudie-killsub.sh
index 093e73de..70be4e1d 100755
--- a/tests/protocol/test-qemudie-killsub.sh
+++ b/tests/protocol/test-qemudie-killsub.sh
@@ -20,6 +20,11 @@
set -e
+if [ "$(../../fish/guestfish get-attach-method)" != "appliance" ]; then
+ echo "$0: test skipped because default attach-method is not 'appliance'"
+ exit 77
+fi
+
rm -f test1.img
../../fish/guestfish -N disk <<'EOF'
diff --git a/tests/protocol/test-qemudie-midcommand.sh b/tests/protocol/test-qemudie-midcommand.sh
index 73c3b8e6..1e1fd99a 100755
--- a/tests/protocol/test-qemudie-midcommand.sh
+++ b/tests/protocol/test-qemudie-midcommand.sh
@@ -20,6 +20,11 @@
set -e
+if [ "$(../../fish/guestfish get-attach-method)" != "appliance" ]; then
+ echo "$0: test skipped because default attach-method is not 'appliance'"
+ exit 77
+fi
+
rm -f test.pid test1.img
../../fish/guestfish -N disk <<'EOF'
diff --git a/tests/protocol/test-qemudie-synch.sh b/tests/protocol/test-qemudie-synch.sh
index fb4e25f3..398756e1 100755
--- a/tests/protocol/test-qemudie-synch.sh
+++ b/tests/protocol/test-qemudie-synch.sh
@@ -20,6 +20,11 @@
set -e
+if [ "$(../../fish/guestfish get-attach-method)" != "appliance" ]; then
+ echo "$0: test skipped because default attach-method is not 'appliance'"
+ exit 77
+fi
+
rm -f test.pid test1.img
../../fish/guestfish -N disk <<'EOF'